python-pyplete-0.0.5-7.3.noarch.rpm


Advertisement

Description

python-pyplete - An interface to autocomplete in python

Property Value
Distribution openSUSE Leap 42.2
Repository openSUSE KDE Extra all
Package name python-pyplete
Package version 0.0.5
Package release 7.3
Package architecture noarch
Package type rpm
Installed size 56.33 KB
Download size 16.44 KB
Official Mirror ftp.gwdg.de
PYPLETE (PYthon autocomPLETE) is a interface to autocomplete in python.
PyPlete uses pysmell but unlike this, PyPlete is dynamic, it does not
need execute a command to pre-analyze the code. This is a good tool
to analyze (or autocomplete) the code that you are writing currently

Alternatives

Package Version Architecture Repository
python-pyplete-0.0.5-4.1.noarch.rpm 0.0.5 noarch openSUSE Oss
python-pyplete - - -

Requires

Name Value
python(abi) = 2.7
python-pysmell -

Provides

Name Value
python-pyplete = 0.0.5-7.3

Download

Type URL
Binary Package python-pyplete-0.0.5-7.3.noarch.rpm
Source Package python-pyplete-0.0.5-7.3.src.rpm

Install Howto

  1. Add the openSUSE KDE Extra repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/KDE:/Extra/openSUSE_Leap_42.2/ opensuse-kde-extra
  2. Install python-pyplete rpm package:
    # zypper install python-pyplete

Files

Path
/usr/lib/python2.7/site-packages/pyplete.py
/usr/lib/python2.7/site-packages/pyplete.pyc
/usr/lib/python2.7/site-packages/pyplete-0.0.5-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/pyplete-0.0.5-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/pyplete-0.0.5-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/pyplete-0.0.5-py2.7.egg-info/not-zip-safe
/usr/lib/python2.7/site-packages/pyplete-0.0.5-py2.7.egg-info/top_level.txt
/usr/share/doc/packages/python-pyplete/CHANGES
/usr/share/doc/packages/python-pyplete/README.rst

Changelog

2014-08-13 - toddrme2178@gmail.com
- Spec file cleanups
2013-11-24 - p.drouand@gmail.com
- Update to version 0.5
+ fix a little error in get_pysmell_code_walk_to_text (only if the
text was unicode characters)
- Changes from version 0.4
+ fix a little error in get_pysmell_code_walk_to_text (only if the
text was unicode characters)
- Changes from version 0.3
+ fix a little error in get_importables_from_line
- Remove useless CFLAGS="%{optflags}"
- Simplify files list in %files section
- Remove useless python(abi) requirement
2013-10-24 - speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
2012-11-29 - toddrme2178@gmail.com
- Initial spec file

See Also

Package Description
python-pysmell-0.7.3-8.3.noarch.rpm Autocompletion library for Python
python-pytest-3.4.1-90.1.noarch.rpm Python testing tool with autodiscovery and detailed asserts
python-rarfile-3.0-8.16.noarch.rpm RAR Archive Reader for Python
python-rarfile-doc-3.0-8.16.noarch.rpm RAR Archive Reader for Python (Documentation)
python-setuptools-28.3.0-87.1.noarch.rpm Easily download, build, install, upgrade, and uninstall Python packages
python2-opencv-3.3.1-112.10.x86_64.rpm Python 2 bindings for apps which use OpenCV
python2-pocketsphinx-0.8-1.46.x86_64.rpm Python bindings for pocketsphinx
python2-sphinxbase-0.8-5.2.x86_64.rpm Python bindings for sphinxbase required by python-pocketsphinx
python3-apsw-3.9.2_r1-10.3.x86_64.rpm Another Python SQLite Wrapper
python3-cssselect-1.0.3-22.1.noarch.rpm CSS3 selectors for Python
python3-docopt-0.6.2-19.1.noarch.rpm Pythonic argument parser, that will make you smile
python3-lensfun-0.3.2-28.1.x86_64.rpm Python3 lensfun bindings
python3-numpy-1.14.0-6.1.x86_64.rpm NumPy array processing for numbers, strings, records and objects
python3-numpy-devel-1.14.0-6.1.x86_64.rpm Development files for numpy applications
python3-opencv-3.3.1-112.10.x86_64.rpm Python 3 bindings for apps which use OpenCV
Advertisement
Advertisement